commit:     5f59b77902dc3d9d509387367ae81518391ac749
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  2 14:04:29 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Aug  2 14:06:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f59b779

dev-python/dulwich-0.20.5: version bump, #733846

Based on the work by Arthur Zamarin.

Bug: https://bugs.gentoo.org/733846
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 dev-python/dulwich/Manifest              |  1 +
 dev-python/dulwich/dulwich-0.20.5.ebuild | 54 ++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/dulwich/Manifest b/dev-python/dulwich/Manifest
index b981d1c7c59..10c714c050a 100644
--- a/dev-python/dulwich/Manifest
+++ b/dev-python/dulwich/Manifest
@@ -1,2 +1,3 @@
 DIST dulwich-0.19.15.tar.gz 369491 BLAKE2B 
ffaabbd68ee228e771b8a56c9a5b70498e49a4547f3f0ff87225ca4ee0a222fca5cd75a36293fb0d111615f4fe9550acd2825732a178f67d9f6b538abf9fc37f
 SHA512 
ae56cf4748ea5f9d275f2d1456bf9fce77859ad2eeba6b7d8f34283e212404ba385f377f4fb86b88dc40982649ec8cfb12ea407dd25ada7cb2b0e862568ac7da
 DIST dulwich-0.19.6.tar.gz 349939 BLAKE2B 
a88836c8a6fa3f732643f88cb94ec37c138146336709651f7fbc604fe80ff3dcf88b24ffca5e5d14c3c947b847a9678fa8b431ef6be0b78e6046bcd3f7ed29bc
 SHA512 
7e13b465672c5eee4f6d14f28e9cba63ceddf1ad119822fabd17b01ad6b89c6dd8c0bbf562bdf50e0ada5ce17bcad531549054417d744e5cf64a610e8a1740bc
+DIST dulwich-0.20.5.tar.gz 384166 BLAKE2B 
f11ef1467a7f850666a850c42871b2bb798cdad54b4ad5a7d6fef8171cb5378982537574f9d2c783e2c9e7357624eec4c617c0b014d789d9f40f5bdfd56d8b39
 SHA512 
88c546fdc6cb4fbde1ebab5160e1f226259d85c934bee456c8a93b14f4c292550e685696fd25c27635f3342f82b0c67572059fb90e3e9b339aa0d11b9e010c25

diff --git a/dev-python/dulwich/dulwich-0.20.5.ebuild 
b/dev-python/dulwich/dulwich-0.20.5.ebuild
new file mode 100644
index 00000000000..bea5ab1da2b
--- /dev/null
+++ b/dev-python/dulwich/dulwich-0.20.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# ready for 3_9, but fastimport isn't yet, #733838
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the Git file formats and protocols"
+HOMEPAGE="https://github.com/jelmer/dulwich/ https://pypi.org/project/dulwich/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               !hppa? ( !ia64? (
+                       dev-python/gevent[${PYTHON_USEDEP}]
+                       dev-python/geventhttpclient[${PYTHON_USEDEP}]
+               ) )
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/python-fastimport[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_sphinx docs
+
+python_test() {
+       # remove interference from the tests that do stuff like user.name
+       unset GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE \
+               GIT_COMMITTER_NAME GIT_COMMITTER_EMAIL GIT_COMMITTER_DATE EMAIL
+       # Do not use make check which rebuilds the extension and uses -Werror,
+       # causing unexpected failures.
+       "${EPYTHON}" -m unittest -v dulwich.tests.test_suite \
+               || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to